=== debian/control ===
Source: ros-lunar-rosapi
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation
Homepage: http://ros.org/wiki/rosapi
Standards-Version: 3.9.2

Package: ros-lunar-rosapi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-rosbridge-library, ros-lunar-rosgraph, ros-lunar-rosnode, ros-lunar-rospy
Description: Provides service calls for getting ros meta-information, like list of topics, services, params, etc.
